petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFDuplicateOption

Aspects to preserve when duplicating a PetscSF

### Synopsis

    typedef enum {PETSCSF_DUPLICATE_CONFONLY,PETSCSF_DUPLICATE_RANKS,PETSCSF_DUPLICATE_GRAPH} PetscSFDuplicateOption;

     PETSCSF_DUPLICATE_CONFONLY - configuration only, user must call PetscSFSetGraph()

     PETSCSF_DUPLICATE_RANKS - communication ranks preserved, but different graph (allows simpler setup after calling PetscSFSetGraph())

     PETSCSF_DUPLICATE_GRAPH - entire graph duplicated

### See Also

PetscSFDuplicate()

Level:beginner
Location:src/vec/is/sf/../../../../include/petscsf.h
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages